<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from builder.texi on 28 April 1999 -->

<TITLE>The Builder Library - Table of Contents</TITLE>

</HEAD>
<BODY>
<H1>The BUILDER Library</H1>
<H2>A tool to construct or modify SUIF code within the SUIF compiler</H2>
<ADDRESS>Stanford Compiler Group</ADDRESS>
<P>
<P><HR><P>
     
This file documents the builder library, which provides an efficient
method to create and modify SUIF constructs associated with the
underlying code within a compiler pass.

</P>
<P>
 

<UL>
<LI><A HREF="builder_1.html#SEC1">Overview</A>: An overview of the builder
<LI><A HREF="builder_2.html#SEC2">Builder Basics</A>: A simple example
<LI><A HREF="builder_5.html#SEC12">Types</A>: Creating and using types
<LI><A HREF="builder_10.html#SEC25">Variables</A>: Creating and using variables
<LI><A HREF="builder_14.html#SEC33">Expressions and Statements</A>: Using expressions and statements
<LI><A HREF="builder_17.html#SEC45">Control flow</A>: Creating structured control flow
<LI><A HREF="builder_24.html#SEC55">Mixing</A>: Including existing SUIF structures
<LI><A HREF="builder_27.html#SEC58">Creating SUIF code</A>: Creating SUIF from builder structures
<LI><A HREF="builder_30.html#SEC61">Include files</A>: Builder include file definitions
<LI><A HREF="builder_42.html#SEC75">Advanced</A>: Debugging and efficiency
<LI><A HREF="builder_45.html#SEC84">Function Index</A>: Index of functions, variables and types
<LI><A HREF="builder_46.html#SEC85">Example Index</A>: Index of examples
<LI><A HREF="builder_47.html#SEC86">Concept Index</A>: Concept Index
</UL>

<P><HR><P>
This document was generated on 28 April 1999 using the
<A HREF="http://wwwcn.cern.ch/dci/texi2html/">texi2html</A>
translator version 1.51a.</P>
</BODY>
</HTML>
